org.firebirdsql.jdbc.parser

## Class JaybirdStatementModel

- java.lang.Object
- - org.firebirdsql.jdbc.parser.JaybirdStatementModel

-     public class JaybirdStatementModel
      extends java.lang.Object

  Simple model of the parsed statement. At the moment the original statement cannot be reconstructed from this model, but it should be possible when the parser is extended with the new functionality.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DELETE_TYPE`
    `static int` | `EXECUTE_TYPE`
    `static int` | `INSERT_TYPE`
    `static int` | `UNDETECTED_TYPE`
    `static int` | `UPDATE_OR_INSERT_TYPE`
    `static int` | `UPDATE_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JaybirdStatementModel()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addColumn(java.lang.String columnName)`
    `void` | `addReturningColumn(java.lang.String columnName)`
    `void` | `addValue(java.lang.String value)`
    `java.util.List<java.lang.String>` | `getColumns()`
    `java.util.List<java.lang.String>` | `getReturningColumns()`
    `java.lang.String` | `getSelectClause()`
    `int` | `getStatementType()`
    `java.lang.String` | `getTableName()`
    `java.util.List<java.lang.String>` | `getValues()`
    `boolean` | `hasReturning()`
    `boolean` | `isDefaultValues()`
    `void` | `setDefaultValues(boolean defaultValues)`
    `void` | `setSelectClause(java.lang.String selectClause)`
    `void` | `setStatementType(int statementType)`
    `void` | `setTableName(java.lang.String tableName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### UNDETECTED_TYPE

          public static final int UNDETECTED_TYPE

      See Also:
        Constant Field Values

    - #### INSERT_TYPE

          public static final int INSERT_TYPE

      See Also:
        Constant Field Values

    - #### UPDATE_TYPE

          public static final int UPDATE_TYPE

      See Also:
        Constant Field Values

    - #### DELETE_TYPE

          public static final int DELETE_TYPE

      See Also:
        Constant Field Values

    - #### UPDATE_OR_INSERT_TYPE

          public static final int UPDATE_OR_INSERT_TYPE

      See Also:
        Constant Field Values

    - #### EXECUTE_TYPE

          public static final int EXECUTE_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JaybirdStatementModel

          public JaybirdStatementModel()

  - ### Method Detail

    - #### getStatementType

          public int getStatementType()

    - #### setStatementType

          public void setStatementType(int statementType)

    - #### isDefaultValues

          public boolean isDefaultValues()

    - #### setDefaultValues

          public void setDefaultValues(boolean defaultValues)

    - #### getTableName

          public java.lang.String getTableName()

    - #### setTableName

          public void setTableName(java.lang.String tableName)

    - #### getSelectClause

          public java.lang.String getSelectClause()

    - #### setSelectClause

          public void setSelectClause(java.lang.String selectClause)

    - #### getColumns

          public java.util.List<java.lang.String> getColumns()

    - #### addColumn

          public void addColumn(java.lang.String columnName)

    - #### getValues

          public java.util.List<java.lang.String> getValues()

    - #### addValue

          public void addValue(java.lang.String value)

    - #### hasReturning

          public boolean hasReturning()

    - #### getReturningColumns

          public java.util.List<java.lang.String> getReturningColumns()

    - #### addReturningColumn

          public void addReturningColumn(java.lang.String columnName)

Copyright © 2001-2021 Jaybird (Firebird JDBC/JCA) team. All rights reserved.